package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.util.date.DateUtil;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;

/**
 * 对应数据库表(demo_group_courses_plan):
 */
public class DemoGroupCoursesPlan {

	/**  */
	private Long id;
	
	/**  */
	private Long demoGroupId;

	@ApiModelProperty(value = "上课日期")
	private Date courseDate;

	private String courseDateStr;

	@ApiModelProperty(value = "上课时间")
	private Date startTime;

	@ApiModelProperty(value = "结束时间")
	private Date endTime;
	
	/**  */
	private java.util.Date createTime;

	@ApiModelProperty(value = "预约状态",required = false)
	private YesOrNoEnum status;

	public Date getCourseDate() {
		return courseDate;
	}

	public void setCourseDate(Date courseDate) {
		this.courseDate = courseDate;
		this.courseDateStr= DateUtil.format(courseDate,DateUtil.DEFAULT_PATTERN);
	}

	public String getCourseDateStr() {
		return courseDateStr;
	}

	public void setCourseDateStr(String courseDateStr) {
		this.courseDateStr = courseDateStr;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public YesOrNoEnum getStatus() {
		return status;
	}

	public void setStatus(YesOrNoEnum status) {
		this.status = status;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setDemoGroupId(Long demoGroupId){
		this.demoGroupId = demoGroupId;
	}
	
	public Long getDemoGroupId(){
		return this.demoGroupId;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
